Get Node Type
curl --request GET \
--url https://api.peachdeskai.com/api/v1/node-types/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.peachdeskai.com/api/v1/node-types/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.peachdeskai.com/api/v1/node-types/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/node-types/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/node-types/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/node-types/{name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/node-types/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"category": "call_node",
"icon": "<string>",
"properties": [
{
"name": "<string>",
"type": "string",
"display_name": "<string>",
"description": "<string>",
"llm_hint": "<string>",
"default": "<unknown>",
"required": false,
"placeholder": "<string>",
"display_options": {
"show": {},
"hide": {}
},
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"properties": [
"<unknown>"
],
"min_value": 123,
"max_value": 123,
"min_length": 123,
"max_length": 123,
"pattern": "<string>",
"editor": "<string>",
"extra": {}
}
],
"llm_hint": "<string>",
"version": "1.0.0",
"examples": [
{
"name": "<string>",
"data": {},
"description": "<string>"
}
],
"graph_constraints": {
"min_incoming": 123,
"max_incoming": 123,
"min_outgoing": 123,
"max_outgoing": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Get Node Type
GET
/
api
/
v1
/
node-types
/
{name}
Get Node Type
curl --request GET \
--url https://api.peachdeskai.com/api/v1/node-types/{name} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.peachdeskai.com/api/v1/node-types/{name}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.peachdeskai.com/api/v1/node-types/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/node-types/{name}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/node-types/{name}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.peachdeskai.com/api/v1/node-types/{name}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/node-types/{name}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"category": "call_node",
"icon": "<string>",
"properties": [
{
"name": "<string>",
"type": "string",
"display_name": "<string>",
"description": "<string>",
"llm_hint": "<string>",
"default": "<unknown>",
"required": false,
"placeholder": "<string>",
"display_options": {
"show": {},
"hide": {}
},
"options": [
{
"value": "<string>",
"label": "<string>",
"description": "<string>"
}
],
"properties": [
"<unknown>"
],
"min_value": 123,
"max_value": 123,
"min_length": 123,
"max_length": 123,
"pattern": "<string>",
"editor": "<string>",
"extra": {}
}
],
"llm_hint": "<string>",
"version": "1.0.0",
"examples": [
{
"name": "<string>",
"data": {},
"description": "<string>"
}
],
"graph_constraints": {
"min_incoming": 123,
"max_incoming": 123,
"min_outgoing": 123,
"max_outgoing": 123
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Path Parameters
Response
Successful Response
Single source of truth for a node type.
Human-facing explanation shown in AddNodePanel.
Minimum string length:
1Drives grouping in the AddNodePanel UI.
Available options:
call_node, global_node, trigger, integration, utility Show child attributes
Show child attributes
LLM-only guidance; omitted from the UI.
Show child attributes
Show child attributes
Per-node-type graph rules. WorkflowGraph enforces these at validation.
Show child attributes
Show child attributes

